Difference between revisions of "Draft Circle/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
(29 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 
{{Docnav/fr
 
{{Docnav/fr
|[[Draft_Wire/fr|Filaire Draft]]
+
|[[Draft_Fillet/fr|Congé]]
|[[Draft_Arc/fr|Arc Draft]]
+
|[[Draft_Arc/fr|Arc]]
 
|[[Draft_Module/fr|Atelier Draft]]
 
|[[Draft_Module/fr|Atelier Draft]]
|IconL=Draft_Wire.svg
+
|IconL=Draft_Fillet.svg
 
|IconC=Workbench_Draft.svg
 
|IconC=Workbench_Draft.svg
 
|IconR=Draft_Arc.svg
 
|IconR=Draft_Arc.svg
Line 11: Line 11:
 
{{GuiCommand/fr
 
{{GuiCommand/fr
 
|Name=Draft Circle
 
|Name=Draft Circle
|Name/fr=Cercle Draft
+
|Name/fr=Draft Cercle
 
|MenuLocation=Draft → Cercle
 
|MenuLocation=Draft → Cercle
|Workbenches=[[Draft Module/fr|Atelier Draft]], [[Arch Module/fr|Atelier Arch]]
+
|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]
|Shortcut=C I
+
|Shortcut={{KEY|C}} {{KEY|I}}
|SeeAlso=[[Draft Arc/fr|Arc Draft]], [[Draft Ellipse/fr|Ellipse Draft]]
+
|SeeAlso=[[Draft Arc/fr|Draft Arc]], [[Draft Ellipse/fr|Draft Ellipse]]<br/>[[Macro_CirclePlus|Macro CirclePlus]]
 
|Version=0.7
 
|Version=0.7
 
}}
 
}}
  
 +
==Description==
 +
 +
<div class="mw-translate-fuzzy">
 
==Description==
 
==Description==
 
L'outil Cercle crée un cercle dans le [[Draft SelectPlane/fr|Plan de travail Draft]] en entrant deux points, le centre et le rayon, ou en sélectionnant des tangentes, ou toute combinaison de ceux-ci. Il utilise le [[Draft Linestyle/fr|Propriétés de ligne Draft]] défini dans [[Draft Tray/fr|la barre Draft]].
 
L'outil Cercle crée un cercle dans le [[Draft SelectPlane/fr|Plan de travail Draft]] en entrant deux points, le centre et le rayon, ou en sélectionnant des tangentes, ou toute combinaison de ceux-ci. Il utilise le [[Draft Linestyle/fr|Propriétés de ligne Draft]] défini dans [[Draft Tray/fr|la barre Draft]].
 +
</div>
  
 
Cet outil fonctionne de la même manière que l'outil [[Draft Arc/fr|Arc Draft]] sauf qu'il crée une circonférence complète. Pour dessiner une ellipse, utilisez [[Draft Ellipse/fr|Ellipse Draft]].
 
Cet outil fonctionne de la même manière que l'outil [[Draft Arc/fr|Arc Draft]] sauf qu'il crée une circonférence complète. Pour dessiner une ellipse, utilisez [[Draft Ellipse/fr|Ellipse Draft]].
Line 27: Line 31:
 
{{Caption|Cercle défini par deux points}}
 
{{Caption|Cercle défini par deux points}}
  
 +
==Usage==
 +
 +
<div class="mw-translate-fuzzy">
 
==Utilisation==
 
==Utilisation==
 
 
# Pressez la touche {{Button|[[Image:Draft Circle.png|16px]] [[Draft Circle/fr|Cercle Draft]]}} ou pressez les touches {{KEY|C}} et {{KEY|I}}
 
# Pressez la touche {{Button|[[Image:Draft Circle.png|16px]] [[Draft Circle/fr|Cercle Draft]]}} ou pressez les touches {{KEY|C}} et {{KEY|I}}
 
# Cliquez un premier point dans la vue 3D ou entrez les [[Draft Coordinates/fr|Coordonnées Draft]] ou cliquez sur {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/fr|Ajouter un point Draft]]}}.
 
# Cliquez un premier point dans la vue 3D ou entrez les [[Draft Coordinates/fr|Coordonnées Draft]] ou cliquez sur {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/fr|Ajouter un point Draft]]}}.
 
# Cliquez un second point dans la vue 3D ou entrez la valeur du rayon.
 
# Cliquez un second point dans la vue 3D ou entrez la valeur du rayon.
 +
</div>
  
Le cercle peut être édité en double-cliquant sur l'élément dans l'arborescence ou en appuyant sur le bouton {{Button|[[Image: Draft Edit.svg|16px]] [[Draft Edit/fr|Editer Draft]]}}. Ensuite, vous pouvez déplacer le centre et les points de rayon vers une nouvelle position.
+
Le cercle peut être édité en double-cliquant sur l'élément dans l'arborescence ou en appuyant sur le bouton {{Button|[[Image: Draft Edit.svg|16px]] [[Draft Edit/fr|Éditer]]}}. Ensuite, vous pouvez déplacer le centre et les points de rayon vers une nouvelle position.
  
 
Le cercle peut être transformé en arc après sa création en définissant ses propriétés de premier angle et dernier angle à différentes valeurs.
 
Le cercle peut être transformé en arc après sa création en définissant ses propriétés de premier angle et dernier angle à différentes valeurs.
Line 48: Line 55:
  
 
==Propriétés==
 
==Propriétés==
Un objet Circle partage toutes les propriétés d'un [[Draft Arc/fr|Arc] Draft] mais certaines propriétés n'ont de sens que pour le cercle.
+
Un objet Circle partage toutes les propriétés d'un [[Draft Arc/fr|Arc Draft]] mais certaines propriétés n'ont de sens que pour le cercle.
  
 
=== Données ===
 
=== Données ===
* {{PropertyData|First Angle}}: spécifie l'angle de départ du cercle; normalement 0&#176;.
+
* {{PropertyData/fr|First Angle}}: spécifie l'angle de départ du cercle; normalement 0&#176;.
* {{PropertyData|Last Angle}}: spécifie l'angle final du cercle; normalement 0&#176;.
+
* {{PropertyData/fr|Last Angle}}: spécifie l'angle final du cercle; normalement 0&#176;.
* {{PropertyData|Radius}}: spécifie le rayon du cercle.
+
* {{PropertyData/fr|Radius}}: spécifie le rayon du cercle.
* {{PropertyData|Make Face}}: spécifie si le cercle crée un visage ou non. S'il s'agit de {{TRUE}}, une face est créée. Sinon, seule la circonférence est considérée comme faisant partie de l'objet. Cette propriété ne fonctionne que si la forme est une circonférence complète.
+
* {{PropertyData/fr|Make Face}}: spécifie si le cercle crée un visage ou non. S'il s'agit de {{TRUE}}, une face est créée. Sinon, seule la circonférence est considérée comme faisant partie de l'objet. Cette propriété ne fonctionne que si la forme est une circonférence complète.
:Pour que ce soit un cercle complet, {{PropertyData|First Angle}} et {{PropertyData|Last Angle}} doivent avoir la même valeur sinon, un [[Draft Arc/fr|Arc Draft]] est affiché. Les valeurs 0&#176; et 360&#176; ne sont pas considérés comme identiques. Donc si ces deux valeurs sont utilisées, le cercle ne formera pas de surface.
+
:Pour que ce soit un cercle complet, {{PropertyData/fr|First Angle}} et {{PropertyData/fr|Last Angle}} doivent avoir la même valeur sinon, un [[Draft Arc/fr|Arc Draft]] est affiché. Les valeurs 0&#176; et 360&#176; ne sont pas considérés comme identiques. Donc si ces deux valeurs sont utilisées, le cercle ne formera pas de surface.
  
 
===Vue===
 
===Vue===
* {{PropertyView|Pattern}}: spécifie un [[Draft Pattern/fr|Pattern Draft]]. avec lequel remplir la face du cercle. Cette propriété ne fonctionne que si {{PropertyData|Make Face}} est {{TRUE}} et si {{PropertyData|Make Face}} est "Flat Lines".
+
* {{PropertyView/fr|Pattern}}: spécifie un [[Draft Pattern/fr|Pattern Draft]]. avec lequel remplir la face du cercle. Cette propriété ne fonctionne que si {{PropertyData/fr|Make Face}} est {{TRUE}} et si {{PropertyData|Make Face}} est "Flat Lines".
* {{PropertyView|Pattern Size}}: spécifie la taille du [[Draft Pattern/fr|Pattern Draft]].
+
* {{PropertyView/fr|Pattern Size}}: spécifie la taille du [[Draft Pattern/fr|Pattern Draft]].
  
 
==Script==
 
==Script==
Line 71: Line 78:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
+
*Crée un objet {{incode|Circle}} avec un {{incode|radius}} donné en millimètres.
*Crée un objet cercle avec un rayon donné.
+
** {{incode|radius}} peut aussi être un {{incode|Part.Edge}}, dont l'attribut {{incode|Curve}} doit être un {{incode|Part.Circle}}.
*Si une position est donnée, elle est utilisée.
+
*Si un {{incode|placement}} est donné, il est utilisé.
*Si '''facemode''' a la valeur '''False''', le cercle est montré comme une '''forme filaire''', sinon ,comme une '''face'''.
+
*Si {{incode|face}} a la valeur {{incode|True}}, le cercle est montré comme une '''face''', sinon il apparaîtra comme une forme filaire.
*Si '''startangle''' et '''endangle''' sont donnés (en degrés), ils sont utilisés, et, l'objet apparaît comme un arc.  
+
*Si {{incode|startangle}} et {{incode|endangle}} sont donnés (en degrés), ils sont utilisés, et, l'objet apparaît comme un [[Draft Arc/fr|arc]].
*Retourne l'objet nouvellement créé.
 
</div>
 
  
 
Exemple:
 
Exemple:
Line 95: Line 100:
 
}}
 
}}
  
{{Docnav|[[Draft_Wire|Wire]]|[[Draft_Arc|Arc]]|[[Draft_Module|Draft]]|IconL=Draft_Wire.svg |IconC=Workbench_Draft.svg|IconR=Draft_Arc.svg}}
+
{{Docnav/fr
 
+
|[[Draft_Fillet/fr|Congé]]
{{Draft Tools navi}}
+
|[[Draft_Arc/fr|Arc]]
 +
|[[Draft_Module/fr|Atelier Draft]]
 +
|IconL=Draft_Fillet.svg
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_Arc.svg
 +
}}
  
{{Userdocnavi}}
+
{{Draft Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 
{{clear}}
 
{{clear}}

Revision as of 17:52, 21 February 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Page précédente: Draft Fillet.svg Congé
Page suivante: Arc Draft Arc.svg Arrow-right.svg

Draft Circle.svg Draft Cercle

Emplacement du menu
Draft → Cercle
Ateliers
Draft, Arch
Raccourci par défaut
C I
Introduit dans la version
0.7
Voir aussi
Draft Arc, Draft Ellipse
Macro CirclePlus


Description

Description

L'outil Cercle crée un cercle dans le Plan de travail Draft en entrant deux points, le centre et le rayon, ou en sélectionnant des tangentes, ou toute combinaison de ceux-ci. Il utilise le Propriétés de ligne Draft défini dans la barre Draft.

Cet outil fonctionne de la même manière que l'outil Arc Draft sauf qu'il crée une circonférence complète. Pour dessiner une ellipse, utilisez Ellipse Draft.

Draft Circle example.jpg

Cercle défini par deux points


Usage

Utilisation

  1. Pressez la touche Draft Circle.png Cercle Draft ou pressez les touches C et I
  2. Cliquez un premier point dans la vue 3D ou entrez les Coordonnées Draft ou cliquez sur Draft AddPoint.svg Ajouter un point Draft.
  3. Cliquez un second point dans la vue 3D ou entrez la valeur du rayon.

Le cercle peut être édité en double-cliquant sur l'élément dans l'arborescence ou en appuyant sur le bouton Draft Edit.svg Éditer. Ensuite, vous pouvez déplacer le centre et les points de rayon vers une nouvelle position.

Le cercle peut être transformé en arc après sa création en définissant ses propriétés de premier angle et dernier angle à différentes valeurs.

Options

  • L’utilisation principale de l’outil cercle consiste à choisir deux points, le centre et un point sur la circonférence.
    • En appuyant sur Alt, vous pouvez sélectionner une tangente au lieu de choisir un point. Vous pouvez donc construire plusieurs types de cercles en sélectionnant une, deux ou trois tangentes.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point Draft lorsque vous avez entré les valeurs souhaitées pour insérer le point.
  • Appuyez sur T ou cochez la case pour passer en mode continuer. Si le mode Continuer est activé, l'outil Cercle redémarrera une fois le cercle terminé, vous permettant d'en dessiner un autre sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur L ou cliquez sur la case à cocher pour passer en mode rempli. Si le mode Rempli est activé, le cercle créera une surface remplie (DonnéesMake Face True) sinon le cercle ne créera pas de surface (DonnéesMake Face False).
  • Maintenez la touche Ctrl pendant que vous dessinez pour forcer Accrochage Draft votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez Shift pendant que vous dessinez pour forcer avec Contrainte Draft votre deuxième point à être horizontal ou vertical par rapport au premier.
  • Appuyez sur Echap ou sur le bouton Fermer pour annuler la commande en cours.

Propriétés

Un objet Circle partage toutes les propriétés d'un Arc Draft mais certaines propriétés n'ont de sens que pour le cercle.

Données

  • DonnéesFirst Angle: spécifie l'angle de départ du cercle; normalement 0°.
  • DonnéesLast Angle: spécifie l'angle final du cercle; normalement 0°.
  • DonnéesRadius: spécifie le rayon du cercle.
  • DonnéesMake Face: spécifie si le cercle crée un visage ou non. S'il s'agit de True, une face est créée. Sinon, seule la circonférence est considérée comme faisant partie de l'objet. Cette propriété ne fonctionne que si la forme est une circonférence complète.
Pour que ce soit un cercle complet, DonnéesFirst Angle et DonnéesLast Angle doivent avoir la même valeur sinon, un Arc Draft est affiché. Les valeurs 0° et 360° ne sont pas considérés comme identiques. Donc si ces deux valeurs sont utilisées, le cercle ne formera pas de surface.

Vue

  • VuePattern: spécifie un Pattern Draft. avec lequel remplir la face du cercle. Cette propriété ne fonctionne que si DonnéesMake Face est True et si DataMake Face est "Flat Lines".
  • VuePattern Size: spécifie la taille du Pattern Draft.

Script

Voir aussi: Draft API et FreeCAD Script de Base.

L'outil Cercle peut être utilisé dans les macros et dans la console Python, en utilisant la fonction suivante :

Circle = makeCircle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
Circle = makeCircle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Crée un objet Circle avec un radius donné en millimètres.
    • radius peut aussi être un Part.Edge, dont l'attribut Curve doit être un Part.Circle.
  • Si un placement est donné, il est utilisé.
  • Si face a la valeur True, le cercle est montré comme une face, sinon il apparaîtra comme une forme filaire.
  • Si startangle et endangle sont donnés (en degrés), ils sont utilisés, et, l'objet apparaît comme un arc.

Exemple:

import FreeCAD, Draft

Circle1 = Draft.makeCircle(200)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(1000, 1000, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 0))
Circle2 = Draft.makeCircle(500, placement=place2)

p3 = FreeCAD.Vector(-1000, -1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 0))
Circle3 = Draft.makeCircle(750, placement=place3)
Arrow-left.svg Page précédente: Draft Fillet.svg Congé
Page suivante: Arc Draft Arc.svg Arrow-right.svg